Loading ...
Sorry, an error occurred while loading the content.

Problems creating package for mono 2.10.5

Expand Messages
  • porzinoo
    Hi, I m trying to create a new mono package, the 2.10.5 version for cs08q1armel to install on a Synology DS211. I have modified the mono.mk template to get the
    Message 1 of 1 , Sep 9, 2011
    • 0 Attachment
      Hi,
      I'm trying to create a new mono package, the 2.10.5 version for cs08q1armel to
      install on a Synology DS211.
      I have modified the mono.mk template to get the new source and I have remove the
      glib dependency (I have try with this dependency too) and always I have the same
      error when I check the ipk.
      The "make mono" and "make mono-ipk" works great, but not the check of the ipk.
      I have compiled with gcc and g++ (it's necessary with this version) 3.3 and
      4.2.4 versions, I'm using ubuntu 8.04.03, and always the same error.
      The libtool's version is 1.5.26.
      After that, I have try to create the actual package, mono 2.4 and works fine. No
      errors with mono-check.
      I have try to create mono 2.6 too, and works fine the mono-check.
      With mono 2.8 I have the same errors with 2.10.5

      These are the errors when I execute the ipk's check with mono 2.8 and mono
      2.10.5:

      perl scripts/optware-check-package.pl --target=cs08q1armel
      /home/prova/optware/cs08q1armel/builds/mono_2.10.5-1_arm.ipk
      mono_2.10.5-1_arm/opt/bin/monograph: is not an 32-bit LSB .* ARM binary
      mono_2.10.5-1_arm/opt/bin/mprof-report: is not an 32-bit LSB .* ARM binary
      mono_2.10.5-1_arm/opt/bin/mprof-report: has no rpath (libm.so.6 librt.so.1
      libdl.so.2 libpthread.so.0 libc.so.6)
      mono_2.10.5-1_arm/opt/lib/libmono-profiler-aot.so.0.0.0: is not an 32-bit LSB .*
      ARM binary
      mono_2.10.5-1_arm/opt/lib/libmono-profiler-cov.so.0.0.0: is not an 32-bit LSB .*
      ARM binary
      mono_2.10.5-1_arm/opt/lib/libmono-profiler-iomap.so.0.0.0: is not an 32-bit LSB
      .* ARM binary
      mono_2.10.5-1_arm/opt/lib/libmono-profiler-log.so.0.0.0: is not an 32-bit LSB .*
      ARM binary
      mono_2.10.5-1_arm/opt/lib/libMonoPosixHelper.so: is not an 32-bit LSB .* ARM
      binary
      mono_2.10.5-1_arm/opt/lib/libMonoPosixHelper.so: has no rpath (libm.so.6
      librt.so.1 libdl.so.2 libpthread.so.0 libc.so.6)
      mono_2.10.5-1_arm/opt/lib/libMonoSupportW.so: is not an 32-bit LSB .* ARM binary
      mono_2.10.5-1_arm/opt/lib/libMonoSupportW.so: has no rpath (libm.so.6 librt.so.1
      libdl.so.2 libpthread.so.0 libc.so.6)
      mono_2.10.5-1_arm/opt/lib/mono/2.0/mcs.exe.so: is not stripped
      mono_2.10.5-1_arm/opt/lib/mono/2.0/mcs.exe.so: is not an 32-bit LSB .* ARM
      binary
      mono_2.10.5-1_arm/opt/lib/mono/2.0/mscorlib.dll.so: is not stripped
      mono_2.10.5-1_arm/opt/lib/mono/2.0/mscorlib.dll.so: is not an 32-bit LSB .* ARM
      binary
      There were 15 errors
      make: *** [mono-check] Error 2

      Any ideas what's wrong?

      Thanks
    Your message has been successfully submitted and would be delivered to recipients shortly.